Bug 833221 - cartridge-php-5.3 needs to add php-devel as a dependency
cartridge-php-5.3 needs to add php-devel as a dependency
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Rob Millner
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 18:08 EDT by Thomas Wiest
Modified: 2015-05-14 18:55 EDT (History)
2 users (show)

See Also:
Fixed In Version: cartridge-php-5.3-0.94.3+
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 14:26:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Wiest 2012-06-18 18:08:27 EDT
Description of problem:
cartridge-php-5.3 needs to add php-devel as a dependency. Something used to pull php-devel in, but is no longer doing so, so some of our nodes have php-devel installed and others don't.

Please add php-devel as a dependency of cartridge-php-5.3.

Version-Release number of selected component (if applicable):
cartridge-php-5.3-0.93.6-1.el6_2.noarch


How reproducible:
very


Steps to Reproduce:
1. Notice cartridge-php-5.3-0.93.6-1.el6_2.noarch doesn't have a dependency on php-devel.

  
Actual results:
No dependency on php-devel which means that newly created nodes won't pull in php-devel.


Expected results:
php-devel needs to be pulled in as a dependency when installing cartridge-php-5.3.
Comment 1 Rob Millner 2012-06-18 18:56:28 EDT
Crankcase commit 4e33474; will be part of the pull request for Bug 829452.
Comment 2 Rob Millner 2012-06-18 20:50:57 EDT
Pull request 144.
Comment 3 Rob Millner 2012-06-18 23:06:12 EDT
Pull request accepted; will likely show up in tomorrow's build.
Comment 4 Xiaoli Tian 2012-06-20 05:40:19 EDT
Verified this on devenv_1859:

[root@ip-10-70-73-135 functional]# rpm -qa|grep php-devel
php-devel-5.3.3-3.el6_2.8.x86_64


[appnew3-domainbill006.dev.rhcloud.com ~]\> php-c
php-cgi     php-config

Note You need to log in before you can comment on or make changes to this bug.